Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network128.0.0.0/1
Usable hosts2,147,483,646
Subnet mask128.0.0.0
Addresses2,147,483,648
Network address
128.0.0.0
Broadcast address
255.255.255.255
First usable
128.0.0.1
Last usable
255.255.255.254
Usable hosts
2,147,483,646 (2,147,483,648 less the network and broadcast addresses)
Subnet mask
128.0.0.0
Wildcard mask
127.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/1
Type
Public public
Old class
B (default /16)
As numbers
Hex 80000000 · Integer 2147483648 to 4294967295
Reverse DNS zones
128.in-addr.arpa
129.in-addr.arpa
130.in-addr.arpa
131.in-addr.arpa
132.in-addr.arpa
133.in-addr.arpa
134.in-addr.arpa
135.in-addr.arpa
136.in-addr.arpa
137.in-addr.arpa
138.in-addr.arpa
139.in-addr.arpa
140.in-addr.arpa
141.in-addr.arpa
142.in-addr.arpa
143.in-addr.arpa
and 112 more
/1 is not on a 8-bit boundary, so it takes 128 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10000000.00000000.00000000.00000000128.0.0.0
Subnet mask10000000.00000000.00000000.00000000128.0.0.0
Network10000000.00000000.00000000.00000000128.0.0.0
Broadcast11111111.11111111.11111111.11111111255.255.255.255
Split into smaller subnets/10

128.0.0.0/1 makes 512 subnets of /10; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1128.0.0.0/10128.0.0.1 to 128.63.255.254128.63.255.2554,194,302
2128.64.0.0/10128.64.0.1 to 128.127.255.254128.127.255.2554,194,302
3128.128.0.0/10128.128.0.1 to 128.191.255.254128.191.255.2554,194,302
4128.192.0.0/10128.192.0.1 to 128.255.255.254128.255.255.2554,194,302
5129.0.0.0/10129.0.0.1 to 129.63.255.254129.63.255.2554,194,302
6129.64.0.0/10129.64.0.1 to 129.127.255.254129.127.255.2554,194,302
7129.128.0.0/10129.128.0.1 to 129.191.255.254129.191.255.2554,194,302
8129.192.0.0/10129.192.0.1 to 129.255.255.254129.255.255.2554,194,302
9130.0.0.0/10130.0.0.1 to 130.63.255.254130.63.255.2554,194,302
10130.64.0.0/10130.64.0.1 to 130.127.255.254130.127.255.2554,194,302
11130.128.0.0/10130.128.0.1 to 130.191.255.254130.191.255.2554,194,302
12130.192.0.0/10130.192.0.1 to 130.255.255.254130.255.255.2554,194,302
13131.0.0.0/10131.0.0.1 to 131.63.255.254131.63.255.2554,194,302
14131.64.0.0/10131.64.0.1 to 131.127.255.254131.127.255.2554,194,302
15131.128.0.0/10131.128.0.1 to 131.191.255.254131.191.255.2554,194,302
16131.192.0.0/10131.192.0.1 to 131.255.255.254131.255.255.2554,194,302
17132.0.0.0/10132.0.0.1 to 132.63.255.254132.63.255.2554,194,302
18132.64.0.0/10132.64.0.1 to 132.127.255.254132.127.255.2554,194,302
19132.128.0.0/10132.128.0.1 to 132.191.255.254132.191.255.2554,194,302
20132.192.0.0/10132.192.0.1 to 132.255.255.254132.255.255.2554,194,302
21133.0.0.0/10133.0.0.1 to 133.63.255.254133.63.255.2554,194,302
22133.64.0.0/10133.64.0.1 to 133.127.255.254133.127.255.2554,194,302
23133.128.0.0/10133.128.0.1 to 133.191.255.254133.191.255.2554,194,302
24133.192.0.0/10133.192.0.1 to 133.255.255.254133.255.255.2554,194,302
25134.0.0.0/10134.0.0.1 to 134.63.255.254134.63.255.2554,194,302
26134.64.0.0/10134.64.0.1 to 134.127.255.254134.127.255.2554,194,302
27134.128.0.0/10134.128.0.1 to 134.191.255.254134.191.255.2554,194,302
28134.192.0.0/10134.192.0.1 to 134.255.255.254134.255.255.2554,194,302
29135.0.0.0/10135.0.0.1 to 135.63.255.254135.63.255.2554,194,302
30135.64.0.0/10135.64.0.1 to 135.127.255.254135.127.255.2554,194,302
31135.128.0.0/10135.128.0.1 to 135.191.255.254135.191.255.2554,194,302
32135.192.0.0/10135.192.0.1 to 135.255.255.254135.255.255.2554,194,302
33136.0.0.0/10136.0.0.1 to 136.63.255.254136.63.255.2554,194,302
34136.64.0.0/10136.64.0.1 to 136.127.255.254136.127.255.2554,194,302
35136.128.0.0/10136.128.0.1 to 136.191.255.254136.191.255.2554,194,302
36136.192.0.0/10136.192.0.1 to 136.255.255.254136.255.255.2554,194,302
37137.0.0.0/10137.0.0.1 to 137.63.255.254137.63.255.2554,194,302
38137.64.0.0/10137.64.0.1 to 137.127.255.254137.127.255.2554,194,302
39137.128.0.0/10137.128.0.1 to 137.191.255.254137.191.255.2554,194,302
40137.192.0.0/10137.192.0.1 to 137.255.255.254137.255.255.2554,194,302
41138.0.0.0/10138.0.0.1 to 138.63.255.254138.63.255.2554,194,302
42138.64.0.0/10138.64.0.1 to 138.127.255.254138.127.255.2554,194,302
43138.128.0.0/10138.128.0.1 to 138.191.255.254138.191.255.2554,194,302
44138.192.0.0/10138.192.0.1 to 138.255.255.254138.255.255.2554,194,302
45139.0.0.0/10139.0.0.1 to 139.63.255.254139.63.255.2554,194,302
46139.64.0.0/10139.64.0.1 to 139.127.255.254139.127.255.2554,194,302
47139.128.0.0/10139.128.0.1 to 139.191.255.254139.191.255.2554,194,302
48139.192.0.0/10139.192.0.1 to 139.255.255.254139.255.255.2554,194,302
49140.0.0.0/10140.0.0.1 to 140.63.255.254140.63.255.2554,194,302
50140.64.0.0/10140.64.0.1 to 140.127.255.254140.127.255.2554,194,302
51140.128.0.0/10140.128.0.1 to 140.191.255.254140.191.255.2554,194,302
52140.192.0.0/10140.192.0.1 to 140.255.255.254140.255.255.2554,194,302
53141.0.0.0/10141.0.0.1 to 141.63.255.254141.63.255.2554,194,302
54141.64.0.0/10141.64.0.1 to 141.127.255.254141.127.255.2554,194,302
55141.128.0.0/10141.128.0.1 to 141.191.255.254141.191.255.2554,194,302
56141.192.0.0/10141.192.0.1 to 141.255.255.254141.255.255.2554,194,302
57142.0.0.0/10142.0.0.1 to 142.63.255.254142.63.255.2554,194,302
58142.64.0.0/10142.64.0.1 to 142.127.255.254142.127.255.2554,194,302
59142.128.0.0/10142.128.0.1 to 142.191.255.254142.191.255.2554,194,302
60142.192.0.0/10142.192.0.1 to 142.255.255.254142.255.255.2554,194,302
61143.0.0.0/10143.0.0.1 to 143.63.255.254143.63.255.2554,194,302
62143.64.0.0/10143.64.0.1 to 143.127.255.254143.127.255.2554,194,302
63143.128.0.0/10143.128.0.1 to 143.191.255.254143.191.255.2554,194,302
64143.192.0.0/10143.192.0.1 to 143.255.255.254143.255.255.2554,194,302
65144.0.0.0/10144.0.0.1 to 144.63.255.254144.63.255.2554,194,302
66144.64.0.0/10144.64.0.1 to 144.127.255.254144.127.255.2554,194,302
67144.128.0.0/10144.128.0.1 to 144.191.255.254144.191.255.2554,194,302
68144.192.0.0/10144.192.0.1 to 144.255.255.254144.255.255.2554,194,302
69145.0.0.0/10145.0.0.1 to 145.63.255.254145.63.255.2554,194,302
70145.64.0.0/10145.64.0.1 to 145.127.255.254145.127.255.2554,194,302
71145.128.0.0/10145.128.0.1 to 145.191.255.254145.191.255.2554,194,302
72145.192.0.0/10145.192.0.1 to 145.255.255.254145.255.255.2554,194,302
73146.0.0.0/10146.0.0.1 to 146.63.255.254146.63.255.2554,194,302
74146.64.0.0/10146.64.0.1 to 146.127.255.254146.127.255.2554,194,302
75146.128.0.0/10146.128.0.1 to 146.191.255.254146.191.255.2554,194,302
76146.192.0.0/10146.192.0.1 to 146.255.255.254146.255.255.2554,194,302
77147.0.0.0/10147.0.0.1 to 147.63.255.254147.63.255.2554,194,302
78147.64.0.0/10147.64.0.1 to 147.127.255.254147.127.255.2554,194,302
79147.128.0.0/10147.128.0.1 to 147.191.255.254147.191.255.2554,194,302
80147.192.0.0/10147.192.0.1 to 147.255.255.254147.255.255.2554,194,302
81148.0.0.0/10148.0.0.1 to 148.63.255.254148.63.255.2554,194,302
82148.64.0.0/10148.64.0.1 to 148.127.255.254148.127.255.2554,194,302
83148.128.0.0/10148.128.0.1 to 148.191.255.254148.191.255.2554,194,302
84148.192.0.0/10148.192.0.1 to 148.255.255.254148.255.255.2554,194,302
85149.0.0.0/10149.0.0.1 to 149.63.255.254149.63.255.2554,194,302
86149.64.0.0/10149.64.0.1 to 149.127.255.254149.127.255.2554,194,302
87149.128.0.0/10149.128.0.1 to 149.191.255.254149.191.255.2554,194,302
88149.192.0.0/10149.192.0.1 to 149.255.255.254149.255.255.2554,194,302
89150.0.0.0/10150.0.0.1 to 150.63.255.254150.63.255.2554,194,302
90150.64.0.0/10150.64.0.1 to 150.127.255.254150.127.255.2554,194,302
91150.128.0.0/10150.128.0.1 to 150.191.255.254150.191.255.2554,194,302
92150.192.0.0/10150.192.0.1 to 150.255.255.254150.255.255.2554,194,302
93151.0.0.0/10151.0.0.1 to 151.63.255.254151.63.255.2554,194,302
94151.64.0.0/10151.64.0.1 to 151.127.255.254151.127.255.2554,194,302
95151.128.0.0/10151.128.0.1 to 151.191.255.254151.191.255.2554,194,302
96151.192.0.0/10151.192.0.1 to 151.255.255.254151.255.255.2554,194,302
97152.0.0.0/10152.0.0.1 to 152.63.255.254152.63.255.2554,194,302
98152.64.0.0/10152.64.0.1 to 152.127.255.254152.127.255.2554,194,302
99152.128.0.0/10152.128.0.1 to 152.191.255.254152.191.255.2554,194,302
100152.192.0.0/10152.192.0.1 to 152.255.255.254152.255.255.2554,194,302
101153.0.0.0/10153.0.0.1 to 153.63.255.254153.63.255.2554,194,302
102153.64.0.0/10153.64.0.1 to 153.127.255.254153.127.255.2554,194,302
103153.128.0.0/10153.128.0.1 to 153.191.255.254153.191.255.2554,194,302
104153.192.0.0/10153.192.0.1 to 153.255.255.254153.255.255.2554,194,302
105154.0.0.0/10154.0.0.1 to 154.63.255.254154.63.255.2554,194,302
106154.64.0.0/10154.64.0.1 to 154.127.255.254154.127.255.2554,194,302
107154.128.0.0/10154.128.0.1 to 154.191.255.254154.191.255.2554,194,302
108154.192.0.0/10154.192.0.1 to 154.255.255.254154.255.255.2554,194,302
109155.0.0.0/10155.0.0.1 to 155.63.255.254155.63.255.2554,194,302
110155.64.0.0/10155.64.0.1 to 155.127.255.254155.127.255.2554,194,302
111155.128.0.0/10155.128.0.1 to 155.191.255.254155.191.255.2554,194,302
112155.192.0.0/10155.192.0.1 to 155.255.255.254155.255.255.2554,194,302
113156.0.0.0/10156.0.0.1 to 156.63.255.254156.63.255.2554,194,302
114156.64.0.0/10156.64.0.1 to 156.127.255.254156.127.255.2554,194,302
115156.128.0.0/10156.128.0.1 to 156.191.255.254156.191.255.2554,194,302
116156.192.0.0/10156.192.0.1 to 156.255.255.254156.255.255.2554,194,302
117157.0.0.0/10157.0.0.1 to 157.63.255.254157.63.255.2554,194,302
118157.64.0.0/10157.64.0.1 to 157.127.255.254157.127.255.2554,194,302
119157.128.0.0/10157.128.0.1 to 157.191.255.254157.191.255.2554,194,302
120157.192.0.0/10157.192.0.1 to 157.255.255.254157.255.255.2554,194,302
121158.0.0.0/10158.0.0.1 to 158.63.255.254158.63.255.2554,194,302
122158.64.0.0/10158.64.0.1 to 158.127.255.254158.127.255.2554,194,302
123158.128.0.0/10158.128.0.1 to 158.191.255.254158.191.255.2554,194,302
124158.192.0.0/10158.192.0.1 to 158.255.255.254158.255.255.2554,194,302
125159.0.0.0/10159.0.0.1 to 159.63.255.254159.63.255.2554,194,302
126159.64.0.0/10159.64.0.1 to 159.127.255.254159.127.255.2554,194,302
127159.128.0.0/10159.128.0.1 to 159.191.255.254159.191.255.2554,194,302
128159.192.0.0/10159.192.0.1 to 159.255.255.254159.255.255.2554,194,302
129160.0.0.0/10160.0.0.1 to 160.63.255.254160.63.255.2554,194,302
130160.64.0.0/10160.64.0.1 to 160.127.255.254160.127.255.2554,194,302
131160.128.0.0/10160.128.0.1 to 160.191.255.254160.191.255.2554,194,302
132160.192.0.0/10160.192.0.1 to 160.255.255.254160.255.255.2554,194,302
133161.0.0.0/10161.0.0.1 to 161.63.255.254161.63.255.2554,194,302
134161.64.0.0/10161.64.0.1 to 161.127.255.254161.127.255.2554,194,302
135161.128.0.0/10161.128.0.1 to 161.191.255.254161.191.255.2554,194,302
136161.192.0.0/10161.192.0.1 to 161.255.255.254161.255.255.2554,194,302
137162.0.0.0/10162.0.0.1 to 162.63.255.254162.63.255.2554,194,302
138162.64.0.0/10162.64.0.1 to 162.127.255.254162.127.255.2554,194,302
139162.128.0.0/10162.128.0.1 to 162.191.255.254162.191.255.2554,194,302
140162.192.0.0/10162.192.0.1 to 162.255.255.254162.255.255.2554,194,302
141163.0.0.0/10163.0.0.1 to 163.63.255.254163.63.255.2554,194,302
142163.64.0.0/10163.64.0.1 to 163.127.255.254163.127.255.2554,194,302
143163.128.0.0/10163.128.0.1 to 163.191.255.254163.191.255.2554,194,302
144163.192.0.0/10163.192.0.1 to 163.255.255.254163.255.255.2554,194,302
145164.0.0.0/10164.0.0.1 to 164.63.255.254164.63.255.2554,194,302
146164.64.0.0/10164.64.0.1 to 164.127.255.254164.127.255.2554,194,302
147164.128.0.0/10164.128.0.1 to 164.191.255.254164.191.255.2554,194,302
148164.192.0.0/10164.192.0.1 to 164.255.255.254164.255.255.2554,194,302
149165.0.0.0/10165.0.0.1 to 165.63.255.254165.63.255.2554,194,302
150165.64.0.0/10165.64.0.1 to 165.127.255.254165.127.255.2554,194,302
151165.128.0.0/10165.128.0.1 to 165.191.255.254165.191.255.2554,194,302
152165.192.0.0/10165.192.0.1 to 165.255.255.254165.255.255.2554,194,302
153166.0.0.0/10166.0.0.1 to 166.63.255.254166.63.255.2554,194,302
154166.64.0.0/10166.64.0.1 to 166.127.255.254166.127.255.2554,194,302
155166.128.0.0/10166.128.0.1 to 166.191.255.254166.191.255.2554,194,302
156166.192.0.0/10166.192.0.1 to 166.255.255.254166.255.255.2554,194,302
157167.0.0.0/10167.0.0.1 to 167.63.255.254167.63.255.2554,194,302
158167.64.0.0/10167.64.0.1 to 167.127.255.254167.127.255.2554,194,302
159167.128.0.0/10167.128.0.1 to 167.191.255.254167.191.255.2554,194,302
160167.192.0.0/10167.192.0.1 to 167.255.255.254167.255.255.2554,194,302
161168.0.0.0/10168.0.0.1 to 168.63.255.254168.63.255.2554,194,302
162168.64.0.0/10168.64.0.1 to 168.127.255.254168.127.255.2554,194,302
163168.128.0.0/10168.128.0.1 to 168.191.255.254168.191.255.2554,194,302
164168.192.0.0/10168.192.0.1 to 168.255.255.254168.255.255.2554,194,302
165169.0.0.0/10169.0.0.1 to 169.63.255.254169.63.255.2554,194,302
166169.64.0.0/10169.64.0.1 to 169.127.255.254169.127.255.2554,194,302
167169.128.0.0/10169.128.0.1 to 169.191.255.254169.191.255.2554,194,302
168169.192.0.0/10169.192.0.1 to 169.255.255.254169.255.255.2554,194,302
169170.0.0.0/10170.0.0.1 to 170.63.255.254170.63.255.2554,194,302
170170.64.0.0/10170.64.0.1 to 170.127.255.254170.127.255.2554,194,302
171170.128.0.0/10170.128.0.1 to 170.191.255.254170.191.255.2554,194,302
172170.192.0.0/10170.192.0.1 to 170.255.255.254170.255.255.2554,194,302
173171.0.0.0/10171.0.0.1 to 171.63.255.254171.63.255.2554,194,302
174171.64.0.0/10171.64.0.1 to 171.127.255.254171.127.255.2554,194,302
175171.128.0.0/10171.128.0.1 to 171.191.255.254171.191.255.2554,194,302
176171.192.0.0/10171.192.0.1 to 171.255.255.254171.255.255.2554,194,302
177172.0.0.0/10172.0.0.1 to 172.63.255.254172.63.255.2554,194,302
178172.64.0.0/10172.64.0.1 to 172.127.255.254172.127.255.2554,194,302
179172.128.0.0/10172.128.0.1 to 172.191.255.254172.191.255.2554,194,302
180172.192.0.0/10172.192.0.1 to 172.255.255.254172.255.255.2554,194,302
181173.0.0.0/10173.0.0.1 to 173.63.255.254173.63.255.2554,194,302
182173.64.0.0/10173.64.0.1 to 173.127.255.254173.127.255.2554,194,302
183173.128.0.0/10173.128.0.1 to 173.191.255.254173.191.255.2554,194,302
184173.192.0.0/10173.192.0.1 to 173.255.255.254173.255.255.2554,194,302
185174.0.0.0/10174.0.0.1 to 174.63.255.254174.63.255.2554,194,302
186174.64.0.0/10174.64.0.1 to 174.127.255.254174.127.255.2554,194,302
187174.128.0.0/10174.128.0.1 to 174.191.255.254174.191.255.2554,194,302
188174.192.0.0/10174.192.0.1 to 174.255.255.254174.255.255.2554,194,302
189175.0.0.0/10175.0.0.1 to 175.63.255.254175.63.255.2554,194,302
190175.64.0.0/10175.64.0.1 to 175.127.255.254175.127.255.2554,194,302
191175.128.0.0/10175.128.0.1 to 175.191.255.254175.191.255.2554,194,302
192175.192.0.0/10175.192.0.1 to 175.255.255.254175.255.255.2554,194,302
193176.0.0.0/10176.0.0.1 to 176.63.255.254176.63.255.2554,194,302
194176.64.0.0/10176.64.0.1 to 176.127.255.254176.127.255.2554,194,302
195176.128.0.0/10176.128.0.1 to 176.191.255.254176.191.255.2554,194,302
196176.192.0.0/10176.192.0.1 to 176.255.255.254176.255.255.2554,194,302
197177.0.0.0/10177.0.0.1 to 177.63.255.254177.63.255.2554,194,302
198177.64.0.0/10177.64.0.1 to 177.127.255.254177.127.255.2554,194,302
199177.128.0.0/10177.128.0.1 to 177.191.255.254177.191.255.2554,194,302
200177.192.0.0/10177.192.0.1 to 177.255.255.254177.255.255.2554,194,302
201178.0.0.0/10178.0.0.1 to 178.63.255.254178.63.255.2554,194,302
202178.64.0.0/10178.64.0.1 to 178.127.255.254178.127.255.2554,194,302
203178.128.0.0/10178.128.0.1 to 178.191.255.254178.191.255.2554,194,302
204178.192.0.0/10178.192.0.1 to 178.255.255.254178.255.255.2554,194,302
205179.0.0.0/10179.0.0.1 to 179.63.255.254179.63.255.2554,194,302
206179.64.0.0/10179.64.0.1 to 179.127.255.254179.127.255.2554,194,302
207179.128.0.0/10179.128.0.1 to 179.191.255.254179.191.255.2554,194,302
208179.192.0.0/10179.192.0.1 to 179.255.255.254179.255.255.2554,194,302
209180.0.0.0/10180.0.0.1 to 180.63.255.254180.63.255.2554,194,302
210180.64.0.0/10180.64.0.1 to 180.127.255.254180.127.255.2554,194,302
211180.128.0.0/10180.128.0.1 to 180.191.255.254180.191.255.2554,194,302
212180.192.0.0/10180.192.0.1 to 180.255.255.254180.255.255.2554,194,302
213181.0.0.0/10181.0.0.1 to 181.63.255.254181.63.255.2554,194,302
214181.64.0.0/10181.64.0.1 to 181.127.255.254181.127.255.2554,194,302
215181.128.0.0/10181.128.0.1 to 181.191.255.254181.191.255.2554,194,302
216181.192.0.0/10181.192.0.1 to 181.255.255.254181.255.255.2554,194,302
217182.0.0.0/10182.0.0.1 to 182.63.255.254182.63.255.2554,194,302
218182.64.0.0/10182.64.0.1 to 182.127.255.254182.127.255.2554,194,302
219182.128.0.0/10182.128.0.1 to 182.191.255.254182.191.255.2554,194,302
220182.192.0.0/10182.192.0.1 to 182.255.255.254182.255.255.2554,194,302
221183.0.0.0/10183.0.0.1 to 183.63.255.254183.63.255.2554,194,302
222183.64.0.0/10183.64.0.1 to 183.127.255.254183.127.255.2554,194,302
223183.128.0.0/10183.128.0.1 to 183.191.255.254183.191.255.2554,194,302
224183.192.0.0/10183.192.0.1 to 183.255.255.254183.255.255.2554,194,302
225184.0.0.0/10184.0.0.1 to 184.63.255.254184.63.255.2554,194,302
226184.64.0.0/10184.64.0.1 to 184.127.255.254184.127.255.2554,194,302
227184.128.0.0/10184.128.0.1 to 184.191.255.254184.191.255.2554,194,302
228184.192.0.0/10184.192.0.1 to 184.255.255.254184.255.255.2554,194,302
229185.0.0.0/10185.0.0.1 to 185.63.255.254185.63.255.2554,194,302
230185.64.0.0/10185.64.0.1 to 185.127.255.254185.127.255.2554,194,302
231185.128.0.0/10185.128.0.1 to 185.191.255.254185.191.255.2554,194,302
232185.192.0.0/10185.192.0.1 to 185.255.255.254185.255.255.2554,194,302
233186.0.0.0/10186.0.0.1 to 186.63.255.254186.63.255.2554,194,302
234186.64.0.0/10186.64.0.1 to 186.127.255.254186.127.255.2554,194,302
235186.128.0.0/10186.128.0.1 to 186.191.255.254186.191.255.2554,194,302
236186.192.0.0/10186.192.0.1 to 186.255.255.254186.255.255.2554,194,302
237187.0.0.0/10187.0.0.1 to 187.63.255.254187.63.255.2554,194,302
238187.64.0.0/10187.64.0.1 to 187.127.255.254187.127.255.2554,194,302
239187.128.0.0/10187.128.0.1 to 187.191.255.254187.191.255.2554,194,302
240187.192.0.0/10187.192.0.1 to 187.255.255.254187.255.255.2554,194,302
241188.0.0.0/10188.0.0.1 to 188.63.255.254188.63.255.2554,194,302
242188.64.0.0/10188.64.0.1 to 188.127.255.254188.127.255.2554,194,302
243188.128.0.0/10188.128.0.1 to 188.191.255.254188.191.255.2554,194,302
244188.192.0.0/10188.192.0.1 to 188.255.255.254188.255.255.2554,194,302
245189.0.0.0/10189.0.0.1 to 189.63.255.254189.63.255.2554,194,302
246189.64.0.0/10189.64.0.1 to 189.127.255.254189.127.255.2554,194,302
247189.128.0.0/10189.128.0.1 to 189.191.255.254189.191.255.2554,194,302
248189.192.0.0/10189.192.0.1 to 189.255.255.254189.255.255.2554,194,302
249190.0.0.0/10190.0.0.1 to 190.63.255.254190.63.255.2554,194,302
250190.64.0.0/10190.64.0.1 to 190.127.255.254190.127.255.2554,194,302
251190.128.0.0/10190.128.0.1 to 190.191.255.254190.191.255.2554,194,302
252190.192.0.0/10190.192.0.1 to 190.255.255.254190.255.255.2554,194,302
253191.0.0.0/10191.0.0.1 to 191.63.255.254191.63.255.2554,194,302
254191.64.0.0/10191.64.0.1 to 191.127.255.254191.127.255.2554,194,302
255191.128.0.0/10191.128.0.1 to 191.191.255.254191.191.255.2554,194,302
256191.192.0.0/10191.192.0.1 to 191.255.255.254191.255.255.2554,194,302

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses